OGRE-Next: Ogre::ColourImageAffector Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ColourImageAffector Class Reference

`#include <OgreColourImageAffector.h>`

Inheritance diagram for Ogre::ColourImageAffector:
[legend]

## Classes
class | CmdImageAdjust
| Command object for red adjust (see ParamCommand). More...

## Public Member Functions
| ColourImageAffector (ParticleSystem *psys)
| Default constructor.
void | _affectParticles (ParticleSystem *pSystem, Real timeElapsed) override
| See ParticleAffector.
void | _initParticle (Particle *pParticle) override
| See ParticleAffector.
String | getImageAdjust () const
void | setImageAdjust (String name)
Public Member Functions inherited from Ogre::ParticleAffector
| ParticleAffector (ParticleSystem *parent)
virtual | ~ParticleAffector ()
| Virtual destructor essential.
const String & | getType () const
| Returns the name of the type of affector.
Public Member Functions inherited from Ogre::StringInterface
| StringInterface ()
virtual | ~StringInterface ()
| Virtual destructor, see Effective C++.
virtual void | copyParametersTo (StringInterface *dest) const
| Method for copying this object's parameters to another object.
ParamDictionary * | getParamDictionary ()
| Retrieves the parameter dictionary for this class.
const ParamDictionary * | getParamDictionary () const
virtual String | getParameter (const String &name) const
| Generic parameter retrieval method.
const ParameterList & | getParameters () const
| Retrieves a list of parameters valid for this object.
virtual bool | setParameter (const String &name, const String &value)
| Generic parameter setting method.
virtual void | setParameterList (const NameValuePairList &paramList)
| Generic multiple parameter setting method.

## Static Public Attributes
static CmdImageAdjust | msImageCmd

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::StringInterface
static void | cleanupDictionary ()
| Cleans up the static 'msDictionary' required to reset Ogre, otherwise the containers are left with invalid pointers, which will lead to a crash as soon as one of the ResourceManager implementers (e.g.

## Constructor & Destructor Documentation

## ◆ ColourImageAffector()

Ogre::ColourImageAffector::ColourImageAffector | ( | ParticleSystem * | psys | ) |

Default constructor.

## Member Function Documentation

## ◆ _affectParticles()

void Ogre::ColourImageAffector::_affectParticles | ( | ParticleSystem * | pSystem,
|  | Real | timeElapsed )
| overridevirtual

See ParticleAffector.

Implements Ogre::ParticleAffector.

## ◆ _initParticle()

void Ogre::ColourImageAffector::_initParticle | ( | Particle * | pParticle | ) |
| overridevirtual

See ParticleAffector.

Reimplemented from Ogre::ParticleAffector.

## ◆ getImageAdjust()

String Ogre::ColourImageAffector::getImageAdjust | ( |  | ) | const

## ◆ setImageAdjust()

void Ogre::ColourImageAffector::setImageAdjust | ( | String | name | ) |

## Member Data Documentation

## ◆ msImageCmd

CmdImageAdjust Ogre::ColourImageAffector::msImageCmd
| static

The documentation for this class was generated from the following file:

- OgreColourImageAffector.h